#ifndef FILTER_H
#define FILTER_H

class Filter
{
    static void  DrawBox(const int x1, const int y1,
                         const int x2, const int y2,
                         char *buffer, const int col);

    static void  MarkPoint(const int x, const int y,
                           char *buffer, const int col);

    static float Mean(const char *buffer, const int offset,
                      int *min, int *max);

    static float SDev(const char *buffer, const int offset,
                      const double mean);

    static int   GetMeanPosition(const char *bitmap,
                                 const int x, const int y,
                                 const int box);

public:
    static void Execute(char *img);
};

#endif
